<?php

class Verifone_VerifonePayment_Model_Adminhtml_System_Config_Source_BasketItemSending
{
    const NO_SEND = 0;
    const SEND_FOR_ALL = 1;
    const SEND_FOR_INVOICE = 2;

    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
        return array(
            array('value' => self::NO_SEND, 'label' => Mage::helper('adminhtml')->__('Do not send basket items')),
            array('value' => self::SEND_FOR_ALL, 'label' => Mage::helper('adminhtml')->__('Send for all payment methods')),
            array('value' => self::SEND_FOR_INVOICE, 'label' => Mage::helper('adminhtml')->__('Send only for invoice payment methods'))
        );
    }
}
