<?php

class Verifone_VerifonePayment_Model_Api_S2s_ListTransactionNumbers extends Verifone_VerifonePayment_Model_Api_S2s_Abstract
{
    protected $_orderNumber;

    public function prepareData()
    {
        $_helper = Mage::helper('VerifonePayment');
        $_helperConfiguration = Mage::helper('VerifonePayment/configuration');

        $_fields = array(
            's-f-1-30_operation' => 'list-transaction-numbers',
            't-f-14-19_request-timestamp' => gmdate('Y-m-d H:i:s'),
            's-f-1-36_merchant-agreement-code' => $_helperConfiguration->getMerchantAgreement($this->getStoreId()),
            's-f-1-30_software' => 'Magento',
            's-f-1-10_software-version' => $_helper->_sanitise(Mage::getVersion(), 10, true),
            'i-f-1-11_interface-version' => '3',

            's-f-1-36_order-number' => $this->getOrderNumber()

        );

        $this->_fields = $_fields;

        return parent::prepareData();
    }

    public function setOrderNumber($_orderIncrementId)
    {
        $this->_orderNumber = $_orderIncrementId;
        return $this;
    }

    protected function getOrderNumber()
    {
        return $this->_orderNumber;
    }
}