<?php

class Verifone_VerifonePayment_Model_Api_S2s_RemoveSavedPaymentMethod extends Verifone_VerifonePayment_Model_Api_S2s_Abstract
{
    protected $_order;
    protected $_customer;
    protected $_savedPaymentMethodId;

    public function prepareData()
    {
        //$_customer = $this->getCustomer();
        $_helper = Mage::helper('VerifonePayment');
        $_helperConfiguration = Mage::helper('VerifonePayment/configuration');

        $_fields = array(
            's-f-1-30_operation' => 'remove-saved-payment-method', //this value is obligatory but it would be filled in every method
            't-f-14-19_request-timestamp' => gmdate('Y-m-d H:i:s'),
            's-f-1-36_merchant-agreement-code' => $_helperConfiguration->getMerchantAgreement(),
            's-f-1-30_software' => 'Magento',
            's-f-1-10_software-version' => $_helper->_sanitise(Mage::getVersion(), 10, true),
            'i-f-1-11_interface-version' => '3',
            'l-t-1-20_saved-payment-method-id' => $this->getSavedPaymentMethodId()
        );


        $this->_fields = $_fields;

        return parent::prepareData();
    }

    public function setSavedPaymentMethodId($_savedPaymentMethodId)
    {
        $this->_savedPaymentMethodId = $_savedPaymentMethodId;

        return $this;
    }

    public function getSavedPaymentMethodId()
    {
        return $this->_savedPaymentMethodId ? $this->_savedPaymentMethodId : '';
    }
}