<?php
/**
 * NOTICE OF LICENSE
 *
 * This source file is released under commercial license by Lamia Oy.
 *
 * @copyright Copyright (c) 2017 Lamia Oy (https://lamia.fi)
 * @author    Szymon Nosal <simon@lamia.fi>
 */

/** @var $this Mage_Catalog_Model_Resource_Setup */

$installer = $this;
$installer->startSetup();

$table = $installer->getTable('VerifonePayment/pay_options');

$installer->getConnection()->addColumn($table, 'scopes', array(
    'type' => Varien_Db_Ddl_Table::TYPE_TEXT,
    'nullable' => true,
    'length' => null,
    'after' => null,
    'comment' => 'Enabled websites'
));

$installer->endSetup();