<?php


class Verifone_VerifonePayment_Block_Customer_Paymentcards extends Mage_Customer_Block_Account_Dashboard
{
    public function __construct()
    {
        parent::__construct();
        $this->setTemplate('VerifonePayment/customer/paymentcards.phtml');
    }

    public function getAcceptedCards()
    {
        $_cardsPaymentsGroupConfig = unserialize(Mage::getStoreConfig('payment/VerifonePayment/cardpaymentsgroup_array'));
        $_cardsPaymentsGroup = reset($_cardsPaymentsGroupConfig);
        if (!isset($_cardsPaymentsGroup['payments'])) {
            return array();
        }

        $_cardsPayments = $_cardsPaymentsGroup['payments'];

        $_dbCardsPayments = Mage::getModel('VerifonePayment/db_pay_options')->getCardsToOptionArray();

        $_result = array();
        foreach ($_dbCardsPayments as $_dbCardsPayment) {
            $_result[] = in_array($_dbCardsPayment['value'], $_cardsPayments) ? $_dbCardsPayment['label'] : '';
        }

        return array_filter($_result);
    }

    public function getSavedPayments()
    {
        return Mage::getModel('VerifonePayment/db_pay_saved')->getSavedPayments(true);
    }

    protected function getDateFromVerifoneStr($_validityDate)
    {
        $_date = DateTime::createFromFormat('mY', str_pad($_validityDate, 6, "0", STR_PAD_LEFT));

        return $_date->format('m/Y');
    }

    protected function formatTitle($_title)
    {
        return 'XXXX-XXXX-XXXX-' . substr($_title, -4);
    }
}