<?php
/**
 * NOTICE OF LICENSE
 *
 * This source file is released under commercial license by Lamia Oy.
 *
 * @copyright Copyright (c) 2018 Lamia Oy (https://lamia.fi)
 */


class Verifone_VerifonePayment_Model_Adminhtml_System_Config_Source_HandlingMode
{
    const SIMPLE_MODE = 0;
    const ADVANCED_MODE = 1;

    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
        return array(
            array('value' => self::SIMPLE_MODE, 'label' => Mage::helper('adminhtml')->__('Automatic (Simple)')),
            array('value' => self::ADVANCED_MODE, 'label' => Mage::helper('adminhtml')->__('Manual (Advanced)')),
        );
    }
}