<?php

class Verifone_VerifonePayment_Model_Api_S2s_ListPaymentMethods extends Verifone_VerifonePayment_Model_Api_S2s_Abstract
{
    public function prepareData()
    {
        $_helper = Mage::helper('VerifonePayment');
        $_helperConfiguration = Mage::helper('VerifonePayment/configuration');

        $_fields = array(
            's-f-1-30_operation' => 'list-payment-methods',
            't-f-14-19_request-timestamp' => gmdate('Y-m-d H:i:s'),
            's-f-1-36_merchant-agreement-code' => $_helperConfiguration->getMerchantAgreement(),
            's-f-1-30_software' => 'Magento',
            's-f-1-10_software-version' => $_helper->_sanitise(Mage::getVersion(), 10, true),
            'i-f-1-11_interface-version' => '3',
            'i-f-1-3_currency-code' => $_helper->convertCountryToISO4217(Mage::app()->getStore()->getCurrentCurrencyCode())
        );

        $this->_fields = $_fields;

        return parent::prepareData();
    }
}