<?php

class Verifone_VerifonePayment_Model_Adminhtml_System_Config_Backend_Serialized_Array extends Mage_Adminhtml_Model_System_Config_Backend_Serialized_Array
{


    protected function _beforeSave()
    {
        $value = $this->getValue();
        if (is_array($value)) {
            unset($value['__empty']);
        }

        $_values = array();

        foreach ($value as $key => $_val) {

            if (!$_val['group_name']) {
                continue;
            }

            if (!isset($_val['position']) || !$_val['position'] || $_val['position'] < 0) {
                $_val['position'] = '0';
            }

            if ($_val['position'] > 999) {
                $_val['position'] = '999';
            }

            $_val['key'] = $key;
            $_values[] = $_val;
        }

        usort($_values, array($this, "sortByPosition"));

        $value = array();

        $_bankOfAll = $this->getAllPayments();
        if(!empty($_values)){
            foreach ($_values as $_val) {

                if (!isset($_val['payments'])) {
                    continue;
                }

                foreach ($_val['payments'] as $_pKey => $_payment) {

                    if (($found = array_search($_payment, $_bankOfAll)) !== false) {
                        unset($_bankOfAll[$found]);
                    } else {
                        unset($_val['payments'][$_pKey]);
                    }

                }

                if (!isset($_val['payments']) || empty($_val['payments']) || !$_val['group_name']) {
                    continue;
                }

                $_key = $_val['key'];
                unset($_val['key']);
                $value[$_key] = $_val;


            }
        }

        $this->setValue($value);
        parent::_beforeSave();
    }

    protected function sortByPosition($a, $b)
    {
        return $a['position'] - $b['position'];
    }

    protected function getAllPayments()
    {
        $_db = Mage::getModel('VerifonePayment/db_pay_options');
        $_options = $_db->toOptionArray();
        $_bank = array();
        foreach ($_options as $_option) {
            $_bank[] = isset($_option['value']) ? $_option['value'] : '';
        }
        return $_bank;
    }
}