<?php

/** @var $this Mage_Catalog_Model_Resource_Setup */

$installer = $this;

$installer->startSetup();

$entity = $installer->getEntityTypeId('customer');

$installer->addAttribute($entity, 'verifone_default_card_id', array(
    'type' => 'text',
    'label' => Mage::helper('VerifonePayment')->__('Default Credit Card saved in Verifone API'),
    'input' => 'text',
    'visible' => 1,
    'required' => 0,
    'default_value' => '',
    'sort_order' => 200,
    'adminhtml_only' => 1,
    'is_user_defined' => 0,
));

$forms = array(
    'adminhtml_customer',
);
$attribute = Mage::getSingleton('eav/config')->getAttribute($entity, 'verifone_default_card_id');
$attribute->setData('used_in_forms', $forms);
$attribute->save();

$installer->endSetup();