<?php

/** @var $this Mage_Catalog_Model_Resource_Setup */

$installer = $this;
$installer->startSetup();

if ($installer->getConnection()->tableColumnExists('sales_flat_order', 'verifone_order_processing')) {
    $installer->getConnection()->dropColumn('sales_flat_order', 'verifone_order_processing');
}
$table = $installer->getConnection()
    ->newTable($installer->getTable('VerifonePayment/order_process_status'))
    ->addColumn('order_id', Varien_Db_Ddl_Table::TYPE_VARCHAR, 20, array(
        'nullable' => false,
        'primary' => true,
    ), 'Order Increment Number')
    ->addColumn('under_process', Varien_Db_Ddl_Table::TYPE_BOOLEAN, null, array(
        'nullable' => false,
    ), 'Information if order is processed');

$installer->getConnection()->createTable($table);

$installer->endSetup();
