<?php

/*

 */

class Verifone_VerifonePayment_Block_Redirect extends Mage_Core_Block_Abstract
{
    protected $_api;

    protected function _toHtml()
    {
        $model = $this->getApiModel();

        $action = $model->getUrl();
        if (!$action) {
            Mage::throwException($this->__("Payment system not available."));
        }
        // there is a reason why we render form ourselves, not use Varien_Data_Form
        $html = '<html><body><form method="POST" id="pay" action="' . $action . '">';
        $html .= $this->__('Redirecting to Verifone Payment.');
        foreach ($model->getFormFields() as $field => $value) {
            $html .= "<input type=\"hidden\" name=\"$field\" value=\"$value\" />\n";
        }

        $html .= '<br />';
        $html .= '<script type="text/javascript">document.getElementById("pay").submit();</script>';
        $html .= '<input type="submit" />';
        $html .= '</form></body></html>';


        return $html;
    }

    public function setApiModel($modelClass)
    {
        $this->_api = Mage::getModel($modelClass);

        return $this;
    }

    protected function getApiModel()
    {
        if (is_null($this->_api)) {
            $this->setApiModel('VerifonePayment/api_paymentinterface_paymentInitialization');
        }

        return $this->_api;
    }

}
