<?php

class Verifone_VerifonePayment_Model_System_Config_Source_BasketItemSending
{
    const NO_SEND = 0;
    const SEND_ALL = 1;
    const SEND_ALL_INVOICE = 2;
    const SEND_ONE_INVOICE = 3;

    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
        // @todo invoice sending later 
        return array(
            array('value' => self::NO_SEND, 'label' => Mage::helper('adminhtml')->__('Do not send basket items')),
            array('value' => self::SEND_ALL, 'label' => Mage::helper('adminhtml')->__('Send for all payment methods')),
//            array('value' => self::SEND_ALL_INVOICE, 'label' => Mage::helper('adminhtml')->__('Send only for invoice payment methods')),
//            array('value' => self::SEND_ONE_INVOICE, 'label' => Mage::helper('adminhtml')->__('Send one basket item for invoices')),
        );
    }
}
