<?php
/**
 * NOTICE OF LICENSE
 *
 * This source file is released under commercial license by Lamia Oy.
 *
 * @copyright Copyright (c) 2018 Lamia Oy (https://lamia.fi)
 */

/** @var Mage_Catalog_Model_Resource_Setup $installer */
$installer = $this;
$installer->startSetup();

$table = $installer->getTable('VerifonePayment/pay_options');

$data = array(
    array('code' => 'paypal', 'name' => 'PAYPAL', 'type' => 'INVOICE'),
    array('code' => 'swish', 'name' => 'SWISH', 'type' => 'ELECTRONIC'),
    array('code' => 'siirto', 'name' => 'SIIRTO', 'type' => 'ELECTRONIC'),
);

foreach ($data as $bind) {
    $installer->getConnection()->insertForce($installer->getTable('VerifonePayment/pay_options'), $bind);
}

$installer->getConnection()->delete($table, 'code LIKE "tapiola-verkkomaksu"');

$installer->endSetup();