<?php
/**
 * NOTICE OF LICENSE
 *
 * This source file is released under commercial license by Lamia Oy.
 *
 * @copyright Copyright (c) 2018 Lamia Oy (https://lamia.fi)
 */

/** @var Mage_Catalog_Model_Resource_Setup $installer */
$installer = $this;
$installer->startSetup();

$table = $installer->getTable('VerifonePayment/pay_options');

$data = array(
    array('code' => 'mobilepay', 'name' => 'MOBILEPAY', 'type' => 'BANK'),
    array('code' => 'vipps', 'name' => 'VIPPS', 'type' => 'BANK'),
    array('code' => 'masterpass', 'name' => 'MASTERPASS', 'type' => 'BANK')
);

foreach ($data as $bind) {
    $installer->getConnection()->insertForce($installer->getTable('VerifonePayment/pay_options'), $bind);
}

$installer->endSetup();