# Change Log
All notable changes to this project will be documented in this file.

## [1.1.5] 2021.03.16
### Changed
- Change payment gateway page availability check to validate status code only.

## [1.1.4] 2019.11.14
### Added
- Support for PHP 7.3

## [1.1.3] 2019.10.29
### Changed
- Add billing address into payment request - PSD/2 regulation

### Fixed
- Problem with wrong merchant code, private key and url for the requests in multi website shop

### Removed
- Possibility to pay with saved credit card by S2S request - PSD/2 regulation

## [1.1.2] 2019.05.10
### Changed
- Remove unnecessary url for third server

### Fixed
- Iteration through servers for S2S requests

## [1.1.1] 2019.01.22
### Added
- Possibility for make configuration field as readonly with default value

### Changed
+ Small changes in configuration labels

## [1.1.0] 2018.11.29
### Added
- This change log file.
- Possibility to configure simple and advanced mode for key handling
- New fields in configuration
- Possibility to generate new keys for test and live

### Changed
- Summary information about keys
- Logic for fetch keys

### Fixed
- Problem with combine basket items for invoice.

## [1.0.34] 2018.10.12
### Added
- Default payment service live key

### Fixed
- Fix problem with wrong version of http protocol.
- Fix for missing method code when All-in-one selected.

## [1.0.33] 2018.09.30
### Added
- New field to configuration: directory for stored keys
- Functionality for generate new security keys
- Possibility to display summary for configuration
- Possibility to display shop public key

### Changed
- Update payment provider name into full name
- Update translations
- Configuration values for shop and payment service keys
 
## [1.0.32] 2018.09.25
### Added
- Functionality for make payment refund in base module

## [1.0.31] 2018.09.20
### Added
- New payment methods: AfterPay (Invoice), MobilePay, MasterPass, Vipps

### Changed
- Make persistence of masked pan number lighter

### Fixed
- Recurring payments when product is without initial price.
